# Testing the CLI

import delivery.delivery


def test_basic_rawdata_no_tar(tmpdir_factory):
    """
    Test that a directory in the source is copied to a directory in the destination in the manner expected.
    :return:
    """
    temp_directory = str(tmpdir_factory.mktemp('test_basic_rawdata_no_tar'))
    test_data_path = '../../../../shared/workspaces/test/test_data/spool/724126739/'
    delivery.delivery.main(["-r", "-l", temp_directory, test_data_path])
    for file in test_data_path:
        if not file.startswith('.'):
            assert file in temp_directory


def test_basic_rawdata_with_tar(tmpdir_factory):
    temp_directory = str(tmpdir_factory.mktemp('test_basic_rawdata_with_tar'))
    test_data_path = '../../../../shared/workspaces/test/test_data/spool/724126739/'
    delivery.delivery.main(["-r", "-t", "-l", temp_directory, test_data_path])
    # FIXME: check for files being in the tar file that got generated
